Bug 37656 - Xserver exits when catching a
Xserver exits when catching a
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-25 14:27 EDT by adler
Modified: 2007-04-18 12:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-16 09:15:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description adler 2001-04-25 14:27:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.2-2smp i686)


The X server dies. The message left in the Xserver log file is

"Fatal server error:"
"Caught signal 11.  Server aborting"


Reproducible: Always
Steps to Reproduce:
1.startx
2.wait a variable amount of time
3.watch all your windows disapear and be replaced by a text console
	

I've had this problem ever since I started using XFree86 version 4. If I
switch to the XFree86 version 3.3.6, the problem goes away. This is an
intermitten problem which some times takes 2 or 3 days before it occures,
and sometimes it takes a few minutes to replicate. It does seem to be
related to mouse movement on occation. The last time this error occured,
was while the system was sitting idle and I'm sure the screen saver was
running.

I have a matrox g400 with 16Megs of memory. The details of the hardware
will be found in my log file which is attached. Also I used the following
command to start X.

startx -- -core -verbose 3 -logverbose 3 > startx.log 2>&1

A core file was not generated, so I can't run gdb on the core file to get
more specific information on why the X server was sent a signal 11.

I have also submitted my XF86Config-4 file as an attachment.

I will work with Red Hat until this problem is resolved.

Finally, I have a g450 at home. I get the same mysterious X server crashes.
Comment 1 Mike A. Harris 2001-04-25 23:09:51 EDT
The log file and config file must have slipped your mind.. ;o)  Happens
to me sometimes too..  Please attach them below and I'll have a look.
Comment 2 adler 2001-04-26 09:02:15 EDT
I tried to attach the log file, but it failed. Should I bugzilla that as well?
In anycase, I'm cut and pasting it here. Sorry.

------------ startx.log file ---------------------------------------

[adler@ssadler Xserver]$ more startx.log-small.0


XFree86 Version 4.0.3 / X Window System
(protocol Version 11, revision 0, vendor release 6400)
Release Date: 16 March 2001
	If the server is older than 6-12 months, or if your card is
	newer than the above date, look for a newer version before
	reporting problems.  (See http://www.XFree86.Org/FAQ)
Operating System: Linux 2.2.17-8smp i686 [ELF] 
Module Loader present
(==) Log file: "/var/log/XFree86.0.log", Time: Mon Apr 23 09:01:05 2001
(==) Using config file: "/etc/X11/XF86Config-4"
Markers: (--) probed, (**) from config file, (==) default setting,
         (++) from command line, (!!) notice, (II) informational,
         (WW) warning, (EE) error, (??) unknown.
(==) ServerLayout "XFree86 Configured"
(**) |-->Screen "Screen0" (0)
(**) |   |-->Monitor "ViewSonic PT813"
(**) |   |-->Device "Matrox Millennium G400"
(**) |-->Input Device "Mouse0"
(**) |-->Input Device "Keyboard0"
(**) Option "XkbLayout" "us"
(**) XKB: layout: "us"
(**) FontPath set to "unix/:7100"
(==) RgbPath set to "/usr/X11R6/lib/X11/rgb"
(==) ModulePath set to "/usr/X11R6/lib/modules"
(--) using VT number 7

(WW) Cannot open APM
(II) Module ABI versions:
	XFree86 ANSI C Emulation: 0.1
	XFree86 Video Driver: 0.3
	XFree86 XInput driver : 0.1
	XFree86 Server Extension : 0.1
	XFree86 Font Renderer : 0.2
(II) Loader running on linux
(II) LoadModule: "bitmap"
(II) Loading /usr/X11R6/lib/modules/fonts/libbitmap.a
(II) Module bitmap: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	Module class: XFree86 Font Renderer
	ABI class: XFree86 Font Renderer, version 0.2
(II) Loading font Bitmap
(II) LoadModule: "pcidata"
(II) Loading /usr/X11R6/lib/modules/libpcidata.a
(II) Module pcidata: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 0.1.0
	ABI class: XFree86 Video Driver, version 0.3
(II) PCI: Probing config type using method 1
(II) PCI: Config type is 1
(II) PCI: stages = 0x03, oldVal1 = 0x00000000, mode1Res1 = 0x80000000
(II) PCI: PCI scan (all values are in hex)
(II) PCI: 00:00:0: chip 1106,0691 card 0000,0000 rev c4 class 06,00,00 hdr 00
(II) PCI: 00:01:0: chip 1106,8598 card 0000,0000 rev 00 class 06,04,00 hdr 01
(II) PCI: 00:07:0: chip 1106,0596 card 1106,0000 rev 23 class 06,01,00 hdr 80
(II) PCI: 00:07:1: chip 1106,0571 card 0000,0000 rev 10 class 01,01,8a hdr 00
(II) PCI: 00:07:2: chip 1106,3038 card 0925,1234 rev 11 class 0c,03,00 hdr 00
(II) PCI: 00:07:3: chip 1106,3050 card 0000,0000 rev 30 class 06,00,00 hdr 00
(II) PCI: 00:0f:0: chip 8086,1229 card 8086,0001 rev 02 class 02,00,00 hdr 00
(II) PCI: 00:10:0: chip 9005,0080 card 9005,e2a0 rev 02 class 01,00,00 hdr 00
(II) PCI: 01:00:0: chip 102b,0525 card 102b,19d8 rev 04 class 03,00,00 hdr 00
(II) PCI: End of PCI scan
(II) LoadModule: "scanpci"
(II) Loading /usr/X11R6/lib/modules/libscanpci.a
(II) Module scanpci: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 0.1.0
	ABI class: XFree86 Video Driver, version 0.3
(II) UnloadModule: "scanpci"
(II) Unloading /usr/X11R6/lib/modules/libscanpci.a
(II) Host-to-PCI bridge:
(II) PCI-to-ISA bridge:
(II) Host-to-PCI bridge:
(II) PCI-to-PCI bridge:
(II) Bus 0: bridge is at (0:0:0), (-1,0,0), BCTRL: 0x00 (VGA_EN is cleared)
(II) Bus 0 I/O range:
	[0] -1	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) Bus 0 non-prefetchable memory range:
	[0] -1	0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 0 prefetchable memory range:
	[0] -1	0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 1: bridge is at (0:1:0), (0,1,1), BCTRL: 0x0c (VGA_EN is set)
(II) Bus 1 I/O range:
(II) Bus 1 non-prefetchable memory range:
	[0] -1	0xd6000000 - 0xd8ffffff (0x3000000) MX[B]
(II) Bus 1 prefetchable memory range:
	[0] -1	0xd4000000 - 0xd5ffffff (0x2000000) MX[B]
(II) Bus -1: bridge is at (0:7:0), (0,-1,0), BCTRL: 0x00 (VGA_EN is cleared)
(II) Bus -1 I/O range:
(II) Bus -1 non-prefetchable memory range:
(II) Bus -1 prefetchable memory range:
(II) Bus -1: bridge is at (0:0:0), (-1,-1,0), BCTRL: 0x00 (VGA_EN is cleared)
(II) Bus -1 I/O range:
	[0] -1	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) Bus -1 non-prefetchable memory range:
	[0] -1	0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus -1 prefetchable memory range:
	[0] -1	0x00000000 - 0xffffffff (0x0) MX[B]
(--) PCI:*(1:0:0) Matrox MGA G400 AGP rev 4, Mem @ 0xd4000000/25, 0xd6000000/14,
0xd7000000/23
(II) Addressable bus resource ranges are
	[0] -1	0x00000000 - 0xffffffff (0x0) MX[B]
	[1] -1	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) OS-reported resource ranges:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0x00000000 - 0x000001ff (0x200) IX[B]E
(II) Active PCI resource ranges:
	[0] -1	0xda000000 - 0xda0fffff (0x100000) MX[B]
	[1] -1	0xda100000 - 0xda100fff (0x1000) MX[B]
	[2] -1	0xd0000000 - 0xd3ffffff (0x4000000) MX[B]
	[3] -1	0xd7000000 - 0xd77fffff (0x800000) MX[B](B)
	[4] -1	0xd6000000 - 0xd6003fff (0x4000) MX[B](B)
	[5] -1	0xd4000000 - 0xd5ffffff (0x2000000) MX[B](B)
	[6] -1	0x0000ec00 - 0x0000ecff (0x100) IX[B]
	[7] -1	0x0000e800 - 0x0000e81f (0x20) IX[B]
	[8] -1	0x0000e400 - 0x0000e41f (0x20) IX[B]
	[9] -1	0x0000e000 - 0x0000e00f (0x10) IX[B]
(II) Active PCI resource ranges after removing overlaps:
	[0] -1	0xda000000 - 0xda0fffff (0x100000) MX[B]
	[1] -1	0xda100000 - 0xda100fff (0x1000) MX[B]
	[2] -1	0xd0000000 - 0xd3ffffff (0x4000000) MX[B]
	[3] -1	0xd7000000 - 0xd77fffff (0x800000) MX[B](B)
	[4] -1	0xd6000000 - 0xd6003fff (0x4000) MX[B](B)
	[5] -1	0xd4000000 - 0xd5ffffff (0x2000000) MX[B](B)
	[6] -1	0x0000ec00 - 0x0000ecff (0x100) IX[B]
	[7] -1	0x0000e800 - 0x0000e81f (0x20) IX[B]
	[8] -1	0x0000e400 - 0x0000e41f (0x20) IX[B]
	[9] -1	0x0000e000 - 0x0000e00f (0x10) IX[B]
(II) OS-reported resource ranges after removing overlaps with PCI:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0x00000000 - 0x000001ff (0x200) IX[B]E
(II) All system resource ranges:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0xda000000 - 0xda0fffff (0x100000) MX[B]
	[6] -1	0xda100000 - 0xda100fff (0x1000) MX[B]
	[7] -1	0xd0000000 - 0xd3ffffff (0x4000000) MX[B]
	[8] -1	0xd7000000 - 0xd77fffff (0x800000) MX[B](B)
	[9] -1	0xd6000000 - 0xd6003fff (0x4000) MX[B](B)
	[10] -1	0xd4000000 - 0xd5ffffff (0x2000000) MX[B](B)
	[11] -1	0x00000000 - 0x000001ff (0x200) IX[B]E
	[12] -1	0x0000ec00 - 0x0000ecff (0x100) IX[B]
	[13] -1	0x0000e800 - 0x0000e81f (0x20) IX[B]
	[14] -1	0x0000e400 - 0x0000e41f (0x20) IX[B]
	[15] -1	0x0000e000 - 0x0000e00f (0x10) IX[B]
(II) LoadModule: "dbe"
(II) Loading /usr/X11R6/lib/modules/extensions/libdbe.a
(II) Module dbe: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	Module class: XFree86 Server Extension
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "GLcore"
(II) Loading /usr/X11R6/lib/modules/extensions/libGLcore.a
(II) Module GLcore: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.1
(II) LoadModule: "dri"
(II) Loading /usr/X11R6/lib/modules/extensions/libdri.a
(II) Module dri: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension XFree86-DRI
(II) Loading sub module "drm"
(II) LoadModule: "drm"
(II) Loading /usr/X11R6/lib/modules/linux/libdrm.a
(II) Module drm: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.1
(II) LoadModule: "glx"
(II) Loading /usr/X11R6/lib/modules/extensions/libglx.a
(II) Module glx: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension GLX
(II) Loading sub module "GLcore"
(II) LoadModule: "GLcore"
(II) Reloading /usr/X11R6/lib/modules/extensions/libGLcore.a
(II) LoadModule: "extmod"
(II) Loading /usr/X11R6/lib/modules/extensions/libextmod.a
(II) Module extmod: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	Module class: XFree86 Server Extension
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension SHAPE
(II) Loading extension MIT-SUNDRY-NONSTANDARD
(II) Loading extension BIG-REQUESTS
(II) Loading extension SYNC
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XC-MISC
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-Misc
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension FontCache
(II) Loading extension TOG-CUP
(II) Loading extension Extended-Visual-Information
(II) Loading extension XVideo
(II) LoadModule: "v4l"
(II) Loading /usr/X11R6/lib/modules/drivers/linux/v4l_drv.o
(II) Module v4l: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 0.0.1
	ABI class: XFree86 Video Driver, version 0.3
(II) LoadModule: "mga"
(II) Loading /usr/X11R6/lib/modules/drivers/mga_drv.o
(II) Module mga: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	Module class: XFree86 Video Driver
	ABI class: XFree86 Video Driver, version 0.3
(II) LoadModule: "mouse"
(II) Loading /usr/X11R6/lib/modules/input/mouse_drv.o
(II) Module mouse: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	Module class: XFree86 XInput Driver
	ABI class: XFree86 XInput driver, version 0.1
(II) v4l driver for Video4Linux
(II) MGA: driver for Matrox chipsets: mga2064w, mga1064sg, mga2164w,
	mga2164w AGP, mgag100, mgag100 PCI, mgag200, mgag200 PCI, mgag400
(II) Primary Device is: PCI 01:00:0
(--) Assigning device section with no busID to primary device
(--) Chipset mgag400 found
(II) resource ranges after xf86ClaimFixedResources() call:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0xda000000 - 0xda0fffff (0x100000) MX[B]
	[6] -1	0xda100000 - 0xda100fff (0x1000) MX[B]
	[7] -1	0xd0000000 - 0xd3ffffff (0x4000000) MX[B]
	[8] -1	0xd7000000 - 0xd77fffff (0x800000) MX[B](B)
	[9] -1	0xd6000000 - 0xd6003fff (0x4000) MX[B](B)
	[10] -1	0xd4000000 - 0xd5ffffff (0x2000000) MX[B](B)
	[11] -1	0x00000000 - 0x000001ff (0x200) IX[B]E
	[12] -1	0x0000ec00 - 0x0000ecff (0x100) IX[B]
	[13] -1	0x0000e800 - 0x0000e81f (0x20) IX[B]
	[14] -1	0x0000e400 - 0x0000e41f (0x20) IX[B]
	[15] -1	0x0000e000 - 0x0000e00f (0x10) IX[B]
(II) resource ranges after probing:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0xda000000 - 0xda0fffff (0x100000) MX[B]
	[6] -1	0xda100000 - 0xda100fff (0x1000) MX[B]
	[7] -1	0xd0000000 - 0xd3ffffff (0x4000000) MX[B]
	[8] -1	0xd7000000 - 0xd77fffff (0x800000) MX[B](B)
	[9] -1	0xd6000000 - 0xd6003fff (0x4000) MX[B](B)
	[10] -1	0xd4000000 - 0xd5ffffff (0x2000000) MX[B](B)
	[11] 0	0x000a0000 - 0x000affff (0x10000) MS[B]
	[12] 0	0x000b0000 - 0x000b7fff (0x8000) MS[B]
	[13] 0	0x000b8000 - 0x000bffff (0x8000) MS[B]
	[14] -1	0x00000000 - 0x000001ff (0x200) IX[B]E
	[15] -1	0x0000ec00 - 0x0000ecff (0x100) IX[B]
	[16] -1	0x0000e800 - 0x0000e81f (0x20) IX[B]
	[17] -1	0x0000e400 - 0x0000e41f (0x20) IX[B]
	[18] -1	0x0000e000 - 0x0000e00f (0x10) IX[B]
	[19] 0	0x000003b0 - 0x000003bb (0xc) IS[B]
	[20] 0	0x000003c0 - 0x000003df (0x20) IS[B]
(II) Setting vga for screen 0.
(II) Loading sub module "vgahw"
(II) LoadModule: "vgahw"
(II) Loading /usr/X11R6/lib/modules/libvgahw.a
(II) Module vgahw: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 0.1.0
	ABI class: XFree86 Video Driver, version 0.3
(**) MGA(0): Depth 24, (--) framebuffer bpp 24
(==) MGA(0): RGB weight 888
(--) MGA(0): Chipset: "mgag400"
(II) MGA(0): Offscreen memory usage will be limited to 512 lines if the DRI is
enabled.
(==) MGA(0): Using AGP Mode 1x
(--) MGA(0): Linear framebuffer at 0xD4000000
(--) MGA(0): MMIO registers at 0xD6000000
(--) MGA(0): Pseudo-DMA transfer window at 0xD7000000
(==) MGA(0): BIOS at 0xC0000
(--) MGA(0): Video BIOS info block at offset 0x07A60
(WW) MGA(0): Video BIOS info block not detected!
(II) MGA(0): MGABios.RamdacType = 0x0
(==) MGA(0): Write-combining range (0xd4000000,0x2000000)
(--) MGA(0): VideoRAM: 16384 kByte
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"
(II) Loading /usr/X11R6/lib/modules/libddc.a
(II) Module ddc: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	ABI class: XFree86 Video Driver, version 0.3
(II) Loading sub module "i2c"
(II) LoadModule: "i2c"
(II) Loading /usr/X11R6/lib/modules/libi2c.a
(II) Module i2c: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.2.0
	ABI class: XFree86 Video Driver, version 0.3
(==) MGA(0): Write-combining range (0xd4000000,0x1000000)
(II) MGA(0): I2C bus "DDC" initialized.
(II) MGA(0): I2C device "DDC:ddc2" registered.
(II) MGA(0): I2C device "DDC:ddc2" removed.
(II) MGA(0): I2C Monitor info: (nil)
(II) MGA(0): end of I2C Monitor info

(--) MGA(0): No DDC signal
(II) MGA(0): DDC Monitor info: (nil)
(II) MGA(0): end of DDC Monitor info

(==) MGA(0): Using gamma correction (1.0, 1.0, 1.0)
(==) MGA(0): Min pixel clock is 12 MHz
(==) MGA(0): Max pixel clock is 300 MHz
(II) MGA(0): ViewSonic PT813: Using hsync range of 30.00-107.00 kHz
(II) MGA(0): ViewSonic PT813: Using vrefresh range of 50.00-160.00 Hz
(II) MGA(0): Clock range:  12.00 to 300.00 MHz
(WW) MGA(0): Default mode "1856x1392" deleted (hsync out of range)
(WW) MGA(0): Default mode "1920x1440" deleted (hsync out of range)
(--) MGA(0): Virtual size is 1600x1200 (pitch 1600)
(**) MGA(0): Default mode "1600x1200": 229.5 MHz, 106.2 kHz, 85.0 Hz
(**) MGA(0): Default mode "1280x1024": 157.5 MHz, 91.1 kHz, 85.0 Hz
(**) MGA(0): Default mode "1152x864": 108.0 MHz, 67.5 kHz, 75.0 Hz
(**) MGA(0): Default mode "1024x768": 94.5 MHz, 68.7 kHz, 85.0 Hz
(**) MGA(0): Default mode "800x600": 56.3 MHz, 53.7 kHz, 85.1 Hz
(**) MGA(0): Default mode "640x480": 36.0 MHz, 43.3 kHz, 85.0 Hz
(==) MGA(0): DPI set to (75, 75)
(II) MGA(0): YDstOrg is set to 0
(II) Loading sub module "fb"
(II) LoadModule: "fb"
(II) Loading /usr/X11R6/lib/modules/libfb.a
(II) Module fb: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	ABI class: XFree86 ANSI C Emulation, version 0.1
(II) Loading sub module "xaa"
(II) LoadModule: "xaa"
(II) Loading /usr/X11R6/lib/modules/libxaa.a
(II) Module xaa: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 1.0.0
	ABI class: XFree86 Video Driver, version 0.3
(II) Loading sub module "ramdac"
(II) LoadModule: "ramdac"
(II) Loading /usr/X11R6/lib/modules/libramdac.a
(II) Module ramdac: vendor="The XFree86 Project"
	compiled for 4.0.3, module version = 0.1.0
	ABI class: XFree86 Video Driver, version 0.3
(==) Depth 24 pixmap format is 32 bpp
(II) do I need RAC?  No, I don't.
(II) resource ranges after preInit:
	[0] 0	0xd7000000 - 0xd77fffff (0x800000) MX[B]
	[1] 0	0xd6000000 - 0xd6003fff (0x4000) MX[B]
	[2] 0	0xd4000000 - 0xd5ffffff (0x2000000) MX[B]
	[3] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[4] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[5] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[6] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[7] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[8] -1	0xda000000 - 0xda0fffff (0x100000) MX[B]
	[9] -1	0xda100000 - 0xda100fff (0x1000) MX[B]
	[10] -1	0xd0000000 - 0xd3ffffff (0x4000000) MX[B]
	[11] -1	0xd7000000 - 0xd77fffff (0x800000) MX[B](B)
	[12] -1	0xd6000000 - 0xd6003fff (0x4000) MX[B](B)
	[13] -1	0xd4000000 - 0xd5ffffff (0x2000000) MX[B](B)
	[14] 0	0x000a0000 - 0x000affff (0x10000) MS[B](OprD)
	[15] 0	0x000b0000 - 0x000b7fff (0x8000) MS[B](OprD)
	[16] 0	0x000b8000 - 0x000bffff (0x8000) MS[B](OprD)
	[17] -1	0x00000000 - 0x000001ff (0x200) IX[B]E
	[18] -1	0x0000ec00 - 0x0000ecff (0x100) IX[B]
	[19] -1	0x0000e800 - 0x0000e81f (0x20) IX[B]
	[20] -1	0x0000e400 - 0x0000e41f (0x20) IX[B]
	[21] -1	0x0000e000 - 0x0000e00f (0x10) IX[B]
	[22] 0	0x000003b0 - 0x000003bb (0xc) IS[B](OprU)
	[23] 0	0x000003c0 - 0x000003df (0x20) IS[B](OprU)
(==) MGA(0): Write-combining range (0xd4000000,0x1000000)
(--) MGA(0): 16 DWORD fifo
(==) MGA(0): Default visual is TrueColor
(II) MGA(0): [drm] bpp: 24 depth: 24
(II) MGA(0): [drm] Direct rendering only supported in 16 and 32 bpp modes
(II) MGA(0): Using 2295 lines for offscreen memory.
(II) MGA(0): Using XFree86 Acceleration Architecture (XAA)
	Screen to screen bit blits
	Solid filled rectangles
	Solid filled trapezoids
	8x8 mono pattern filled rectangles
	8x8 mono pattern filled trapezoids
	Indirect CPU to Screen color expansion
	Screen to Screen color expansion
	Solid Lines
	Dashed Lines
	Scanline Image Writes
	Offscreen Pixmaps
	Driver provided FillMono8x8PatternRects replacement
	Setting up tile and stipple cache:
		32 128x128 slots
		19 256x256 slots
		6 512x512 slots
(==) MGA(0): Backing store disabled
(==) MGA(0): Silken mouse enabled
(**) Option "dpms"
(**) MGA(0): DPMS enabled
(II) MGA(0): Using overlay video
(II) MGA(0): direct rendering disabled
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension LBX
(II) Initializing built-in extension XC-APPGROUP
(II) Initializing built-in extension SECURITY
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFree86-Bigfont
(II) Initializing built-in extension RENDER
(**) Option "Protocol" "PS/2"
(**) Mouse0: Protocol: "PS/2"
(**) Option "CorePointer"
(**) Mouse0: Core Pointer
(**) Option "Device" "/dev/mouse"
(==) Mouse0: Buttons: 3
(**) Option "Emulate3Buttons" "off"
(**) Option "ZAxisMapping" "4 5"
(**) Mouse0: ZAxisMapping: buttons 4 and 5
(II) Keyboard "Keyboard0" handled by legacy driver
(II) XINPUT: Adding extended input device "Mouse0" (type: MOUSE)
SESSION_MANAGER=local/ssadler.phy.bnl.gov:/tmp/.ICE-unix/2537
Xlib:  extension "XINERAMA" missing on display ":0.0".
SetKbdSettings - type: 2 rate: 30 delay: 500 snumlk: 0
SetKbdSettings - Succeeded
GetModeLine - scrn: 0 clock: 229500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
rm: cannot remove `/ssadler/disk1/adler/.gnome//gmc-PdIP8D': No such file or
directory
subshell.c: couldn't get terminal settings: Inappropriate ioctl for device
ERROR: /ssadler/disk1/adler/.netscape/plugins/NPWRAP.DLL: invalid ELF header
Cant load plugin /ssadler/disk1/adler/.netscape/plugins/NPWRAP.DLL. Ignored.
kdeinit: Fatal IO error: client killed
kdeinit: sending SIGHUP to children.
kdeinit: sending SIGTERM to children.
kdeinit: Exit.
ICE default IO error handler doing an exit(), pid = 2744, errno = 0
AUDIT: Mon Apr 23 09:06:32 2001: 2533 X: client 24 rejected from IP
130.199.98.60 port 36338
AUDIT: Mon Apr 23 09:06:58 2001: 2533 X: client 24 rejected from IP
130.199.98.60 port 36344
AUDIT: Mon Apr 23 09:07:19 2001: 2533 X: client 24 rejected from IP
130.199.98.60 port 36345
AUDIT: Mon Apr 23 09:07:34 2001: 2533 X: client 24 rejected from IP
130.199.98.60 port 36351
GetModeLine - scrn: 0 clock: 229500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 229500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 229500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
.
.
.

snip snip snip.  A bunch of repeated lines cut.

.
.
.

GetModeLine - scrn: 0 clock: 229500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 229500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
No data!
GetModeLine - scrn: 0 clock: 229500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 229500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 229500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 229500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 229500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5

** WARNING **: Failed to get METAR data.

GetModeLine - scrn: 0 clock: 229500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 229500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 229500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
.
.
.
... more snip snip snip. Same stuff over and over....
.
.
.

GetModeLine - scrn: 0 clock: 229500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 229500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 229500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
ERROR: /ssadler/disk1/adler/.netscape/plugins/NPWRAP.DLL: invalid ELF header
Cant load plugin /ssadler/disk1/adler/.netscape/plugins/NPWRAP.DLL. Ignored.
kdeinit: Fatal IO error: client killed
kdeinit: sending SIGHUP to children.
KLauncher: Exiting on signal 1
kdeinit: sending SIGTERM to children.
kdeinit: Exit.
GetModeLine - scrn: 0 clock: 229500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 229500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
.
.
.
. More sniping here as well....
.
.
.

GetModeLine - scrn: 0 clock: 229500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5
GetModeLine - scrn: 0 clock: 229500
GetModeLine - hdsp: 1600 hbeg: 1664 hend: 1856 httl: 2160
              vdsp: 1200 vbeg: 1201 vend: 1204 vttl: 1250 flags: 5

Fatal server error:
Caught signal 11.  Server aborting


When reporting a problem related to a server crash, please send
the full server output, not just the last messages.
This can be found in the log file "/var/log/XFree86.0.log".
Please report problems to xfree86@xfree86.org.

Gdk-ERROR **: X connection to :0.0 broken (explicit kill or server shutdown).
xinit:  connection to X server lost.
Gdk-ERROR **: X connection to :0.0 broken (explicit kill or server shutdown).
Gdk-ERROR **: X connection to :0.0 broken (explicit kill or server shutdown).
Gdk-ERROR **: X connection to :0.0 broken (explicit kill or server shutdown).
Gdk-ERROR **: X connection to :0.0 broken (explicit kill or server shutdown).
Gdk-ERROR **: X connection to :0.0 broken (explicit kill or server shutdown).
Gdk-ERROR **: X connection to :0.0 broken (explicit kill or server shutdown).
Gdk-ERROR **: Fatal IO error 104 (Connection reset by peer) on X server :0.0.
Gdk-ERROR **: X connection to :0.0 broken (explicit kill or server shutdown).
Gdk-ERROR **: X connection to :0.0 broken (explicit kill or server shutdown).
Gdk-ERROR **: X connection to :0.0 broken (explicit kill or server shutdown).
Gdk-ERROR **: X connection to :0.0 broken (explicit kill or server shutdown).
Gdk-ERROR **: X connection to :0.0 broken (explicit kill or server shutdown).
X connection to :0.0 broken (explicit kill or server shutdown).
X connection to :0.0 broken (explicit kill or server shutdown).
Gdk-ERROR **: X connection to :0.0 broken (explicit kill or server shutdown).

Comment 3 adler 2001-04-26 09:04:29 EDT
Sorry, but attaching the /etc/X11/XF86Config-4 file also failed. here it is
instead....

--------------  /etc/X11/XF86Config-4  --------------------------------

[adler@ssadler Xserver]$ more /etc/X11/XF86Config-4
# XFree86 4.0 configuration generated by Xconfigurator

Section "ServerLayout"
	Identifier "XFree86 Configured"
	Screen      0  "Screen0" 0 0
	InputDevice    "Mouse0" "CorePointer"
	InputDevice    "Keyboard0" "CoreKeyboard"
EndSection

# By default, Red Hat Linux 6.0 and later use xfs

Section "Files"
	FontPath "unix/:7100"
EndSection

# Module loading section

Section "Module"
	Load  "dbe"		# Double-buffering
	Load  "GLcore"		# OpenGL support
	Load  "dri"		# Direct rendering infrastructure
	Load  "glx"		# OpenGL X protocol interface
	Load  "extmod"		# Misc. required extensions
	Load  "v4l"		# Video4Linux
	# Load  "pex5"		# PHIGS for X 3D environment (obsolete)
	# Load  "record"	# X event recorder
	# Load  "xie"		# X Image Extension (obsolete)
	# You only need the following two modules if you do not use xfs.
	# Load  "freetype"	 # TrueType font handler
	# Load  "type1"		# Adobe Type 1 font handler
EndSection

Section "InputDevice"
	Identifier  "Keyboard0"
	Driver      "keyboard"
	Option      "XkbLayout"	"us"
EndSection

Section "InputDevice"
	Identifier  "Mouse0"
	Driver      "mouse"
	Option      "Device" "/dev/mouse"
	Option      "Protocol" "PS/2"
	Option      "Emulate3Buttons" "off"
	Option      "ZAxisMapping" "4 5"
EndSection

Section "Monitor"
	Identifier "ViewSonic PT813"
	VendorName "Unknown"
	ModelName  "Unknown"
	HorizSync 30-107
	VertRefresh 50-160
	Option "dpms"
EndSection

Section "Device"
	Identifier "Matrox Millennium G400"
	Driver "mga"
	BoardName "Unknown"
#        Option "AGPMode4x"
EndSection

Section "Device"
	Identifier "Linux Frame Buffer"
	Driver "fbdev"
	BoardName "Unknown"
EndSection

Section "Screen"
	Identifier "Screen0"
	Device "Matrox Millennium G400"
	Monitor "ViewSonic PT813"
	DefaultDepth 24
	Subsection "Display"
		Depth 24
		Modes "1600x1200" "1280x1024" "1152x864" "1024x768" "800x600" "640x480"
	EndSubSection
EndSection

Section "DRI"
	Mode 0666
EndSection
Comment 4 Mike A. Harris 2001-05-16 09:15:44 EDT
Please don't cut and paste huge files into bugzilla.  It makes it difficult
to use them.  Please use the file attachment feature.  Also do not compress
them, just attach as regular files.  If you have problems with attaching
files, report it as a bug against bugzilla itself please.

Thanks.
Comment 5 Mike A. Harris 2001-05-16 09:36:43 EDT
Your card does not have enough video memory for the configuration you
have set.  Also, DRI does not work in 24 bit depth.  Disable DRI unless
you are using a DRI supported mode.  Also, lower your resolution down.
Your virtual res is 1600x1200, and that is too large for your configuration
to work properly.

If you are wanting to use DRI at all, you will need to select 16 bit depth,
and lower your resolution down to 640x480 or 800x600 or so.  DRI needs a LOT
of RAM to work, and a 16Mb card just doesn't have enough for high resolution.

Note You need to log in before you can comment on or make changes to this bug.